import { NodeInterface, Plugin, SchemaGlobal, PluginOptions } from '@aomao/engine';
export interface LineHeightOptions extends PluginOptions {
    hotkey?: string;
    filter?: (lineHeight: string) => string | boolean;
}
export default class<T extends LineHeightOptions = LineHeightOptions> extends Plugin<T> {
    #private;
    static get pluginName(): string;
    init(): void;
    execute(lineHeight?: string): void;
    queryState(): string[] | undefined;
    /**
     * 给 Block 节点增加行高
     * @param block block 节点
     * @param lineHeight 行高
     * @returns
     */
    addLineHeight(block: NodeInterface, lineHeight?: string): void;
    schema(): SchemaGlobal;
    convertToPX(value: string): string;
    pasteEach: (node: NodeInterface) => void;
    destroy(): void;
}
